@import url('https://fonts.googleapis.com/css?family=Nova+Mono|Staatliches|ZCOOL+QingKe+HuangYou');
body{
    margin: 0;
    padding: 0;
    font-family: 'ZCOOL QingKe HuangYou', cursive;
    background: #333333;
}
button{
    font-size: 16px;
    border-radius: 10px;
    border: 0 solid black;
    padding: 5px;
}

 header{
     display: grid;
     grid-template-columns: 1fr 1fr 1fr 1fr;
     grid-template-rows: 1fr;
     margin: 0 auto;
    background: cadetblue;
    width: 100%;
    height: 90px;
}
 header h1{
     font-family: 'Staatliches', cursive;
     font-size: 48px;
     margin: auto 0 auto 2em;
     grid-column: 1/2;
     grid-row: 1/2;
     transition: 0.5s;
 }

 header form{
     display: flex;
     transition: 0.5s;
     grid-column: 4/5;
     grid-row: 1/2;
     align-self: center;
     margin: 0 auto;
     width: 100%;
 }
 header input[type="text"]{
     background-color: #379ca0;
     border: none;
     font-size: 28px;
     color: white;
     padding-left: .5em;
     border-radius: 10px;
     width:calc(90% - 6px);
     margin: 0 3px;
     height: 40px;
     transition: 0.5s;
     outline: none;
     font-family: 'Nova+Mono', monospace;
 }
header input[type="text"]:hover,
header input[type="text"]:active{
    outline: 1px solid white;
 }
 header button{
     transition: 0.5s;
     margin: 3px;
     width: 60px;
     color: #285155;
     background-color: white;
     padding: 4px;
}
header button:hover,
header button:active{
     padding: 3px;
     color: white;
     background-color: #285155;
     border: 1px solid white;
}

 .headtext{
     margin: 0;
     padding: 10px;
     font-size: 18px;
     background-color: #379ca0;
     transition: 0.5s;
 }
 .headtext a:hover,
 .headtext a:active{
     color: #fff;
 }
.container{
    width: 90%;
    margin: 20px auto;
    columns: 4;
    column-gap: 40px;
    transition: 0.5s;
}
.container .box{
    border-radius: 10px;
    width: 100%;
    margin: 0 0 20px;
    padding: 10px;
    background: #fff;
    overflow: hidden;
    break-inside: avoid;
    transition: 0.5s;
}
.container .box h2{
    margin: 0 0 10px 10px;
    padding: 0;
    font-size: 24px;
    transition: 0.5s;
}
.container .box p{
    margin: 0;
    padding: 0 0 10px;
    font-size: 16px;
    transition: 0.5s;
}
.web{
     display: grid;
     grid-template-rows: auto auto;
     grid-template-columns: 1fr;
    font-size: 20px;
    font-weight: bold;
     width: 100%;
    transition: 0.5s;
     /*outline: aqua solid 1px;*/
 }
a{
    transition: 0.5s;
    text-decoration: none;
    color: #285155;
}
.web a{
    grid-row: 1/2;
}
 a:hover,
 a:active{
    text-decoration: none;
    color: #379ca0;
}
.web p{
    grid-row: 1/2;
     color: red;
    font-weight: bolder;
    transition: 0.5s;
}
textarea{
    margin: 5px auto;
    font-family: 'Nova+Mono', monospace;
    font-size: 16px;
    color: #285155;
    padding: 5px 10px;
    border: 0 solid black ;
    width:calc(100% - 20px);
    resize: vertical;
    height: 100%;
    background: #f1f1f1;
    border-radius: 10px;
    transition: 0.5s;
    outline: none;
}
.myInfo button{
    font-family: 'ZCOOL QingKe HuangYou', cursive;
    color: #fff;
    float: right;
    background-color: #379ca0;
    margin: 10px;
    }
.myInfo button:hover{
    font-family: 'ZCOOL QingKe HuangYou', cursive;
    color: #379ca0;
    border: 1px solid #379ca0;
    float: right;
    background-color: #fff;
    margin: 10px;
    padding: 4px;
    transition: 0.5s;
    }
@media (max-width: 1450px){
    .container{
        columns: 3;
        transition: 0.5s;
    }
}
@media (max-width: 1200px){
    .container{
        columns: 2;
        width: calc(100% - 40px);
        box-sizing: border-box;
        padding: 20px 20px 20px 0;
        transition: 0.5s;
    }
    header {
        grid-template-columns:1fr 1fr;
        grid-template-rows: 1fr;
        transition: 0.5s;
    }
    header h1{
        font-size: 36px;
        margin: auto 0 auto 1em;
        transition: 0.5s;
    }
    header form {
        align-content: space-around;
        grid-column: 2/3;
        margin: 0 auto;
        width: 100%;
        transition: 0.5s;
    }

}
@media (max-width: 768px){
    .container{
        columns: 1;
        transition: 0.5s;
    }
    header h1{
        grid-column: 1/2;
        grid-row: 1/2;
        transition: 0.5s;
    }
    header {
        grid-template-columns: 1fr;
        grid-template-rows: 1fr 1fr;
        transition: 0.5s;
    }
    header form {
        grid-column: 1/2;
        grid-row: 2/3;
        transition: 0.5s;
    }
    header h1{
        margin: auto auto;
        grid-column: 1/2;
        grid-row: 1/2;
        transition: 0.5s;
    }
}
